#include<iostream>
using namespace std;
int main(){
 long long a,b,L,br=0,e;
 cin>>a>>b>>L;
 bool s[L];
 for(int i=0 ; i<L ; i++){
    s[i]=true;
 }
 /*for(k=a+b ; k<=L ; k++){

 }
 for(int x=1 ; x<=L/2 ; x++){
    for(int y=1 ; y<=L/2 ; y++){
       e=a*x+b*y;
       if(e<=L){
         s[e-1]=false;
       }
    }
 }*/
 if(a>b){
    swap(a,b);
 }
 e=a+b;
 s[e]=false;
 for(int i=2 ; e+a<=L ; i++){
    if(e+a<=L){
            s[e+a]=false;
    }
    if(a+b<=L){
        s[e+b]=false;
    }
    if(e+a+b){
        s[e+a+b]=false;
    }
    e+=a;
 }
 for(int i=1 ; i<L ; i++){
    if(s[i]){
        br++;
    }
 }

  cout<<br;

 return 0;
}
